"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

/**
 * extends eslint-import-resolver, eslint-import-resolver-babel-module
 * repo: https://github.com/tleunen/eslint-import-resolver-babel-module
 */
var _default = {
  "extends": ['plugin:import/errors', 'plugin:import/warnings'],
  settings: {
    'import/resolver': {
      node: {},
      'babel-module': {
        root: ['./src'],
        cwd: 'packagejson'
      }
    }
  },
  rules: {
    'import/no-unresolved': 'error',
    'import/default': 'error',
    'import/namespace': ['error', {
      allowComputed: true
    }],
    'import/no-absolute-path': 'error',
    'import/no-self-import': 'error',
    'import/no-useless-path-segments': 'error',
    'import/no-named-as-default-member': 'error',
    'import/no-extraneous-dependencies': 'error',
    'import/no-mutable-exports': 'error',
    'import/first': 'error',
    'import/no-duplicates': 'error',
    'import/order': 'error',
    'import/newline-after-import': 'error',
    'import/prefer-default-export': 'error',
    'import/no-named-default': 'error'
  }
};
exports["default"] = _default;
module.exports = exports.default;